cURL
curl --request POST \
--url https://api.eda.prisme.ai/v2/orgs/{orgSlug}/service-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "<string>",
"name": "<string>",
"roleSlug": "<string>",
"description": "<string>",
"scopes": [
"<string>"
]
}
'import requests
url = "https://api.eda.prisme.ai/v2/orgs/{orgSlug}/service-accounts"
payload = {
"slug": "<string>",
"name": "<string>",
"roleSlug": "<string>",
"description": "<string>",
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: '<string>',
name: '<string>',
roleSlug: '<string>',
description: '<string>',
scopes: ['<string>']
})
};
fetch('https://api.eda.prisme.ai/v2/orgs/{orgSlug}/service-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"userId": "<string>",
"orgSlug": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"roleSlug": "<string>",
"scopes": [
"<string>"
],
"disabled": true,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"clientSecret": "<string>"
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}Organizations
Post v2orgs service accounts
Create a new service account for the organization. The client secret is returned only once.
POST
/
v2
/
orgs
/
{orgSlug}
/
service-accounts
cURL
Authorizations
BearerAuthWorkspaceApiKeyAuthBearerAuth & WorkspaceApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Service account created. The client secret is shown only once.
Synthetic user ID used in JWT sub (sa:{orgSlug}:{slug})
Organization role assigned to this service account
Optional scope restrictions (empty means all permissions from roleSlug)
The raw client secret (sas_{orgSlug}_{uuid}). Shown only once.
Was this page helpful?
⌘I